[jumphost]
jumphost0{% if ansible_host is defined and ansible_host != '127.0.0.1' %} ansible_host={{ ansible_host }}{% endif %}{% if ansible_user is defined %} ansible_user={{ ansible_user }}{% endif %}{% if ansible_host is defined and ansible_host == '127.0.0.1' %} ansible_connection={{ ansible_connection }}{% endif %}

{% for role in os_infra_roles %}
[{{ role }}]
{%   for node in os_infra_roles[role] %}
{%     if users[node] is defined %}
{%       if os_infra_add_floating_ip %}
{{ node }}{{ os_infra_identifier }} ansible_host={{ ips[node ~ os_infra_identifier]['floating'] }} ansible_user={{ users[node] }} ip={{ ips[node ~ os_infra_identifier][os_infra_use_private_ip|ternary('fixed', 'floating')] }} public_ip={{ ips[node ~ os_infra_identifier]['floating'] }} private_ip={{ ips[node ~ os_infra_identifier]['fixed'] }}
{%       else %}
{{ node }}{{ os_infra_identifier }} ansible_host={{ ips[node ~ os_infra_identifier]['fixed'] }} ansible_user={{ users[node] }} ip={{ ips[node ~ os_infra_identifier]['fixed'] }} private_ip={{ ips[node ~ os_infra_identifier]['fixed'] }}
{%       endif %}
{%     endif %}
{%   endfor %}
{% endfor %}

{% for group in os_infra_roles_group %}
[{{ group }}:children]
{%   for role in os_infra_roles_group[group] %}
{{ role }}
{%   endfor %}
{% endfor %}
